Skip to content
GET /unified/conversational-intelligence/meetings

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

start_timestring · date-time

Start time of the meeting in ISO 8601 format

3 supported1 required
Gong
required
Avoma
supported
Wingman
supported
end_tinme
1 supported
Chorus
supported
end_timestring · date-time

End time of the meeting in ISO 8601 format

2 supported
Avoma
supported
Gong
supported
user_idstring

The unique identifier for a user.

1 supported
Fireflies.ai
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Meetings

idstring
required·

The unique identifier for a meeting

5 supported
Avoma
supported
Chorus
supported
Fireflies.ai
supported
Gong
supported
Wingman
supported
attendeesobject[]

List of attendees

4 supported
Avoma
supported
Chorus
supported
Fireflies.ai
supported
Wingman
supported
5 properties
emailstring

Email of the attendee

idstring

The unique identifier for an attendee

is_hostboolean

Whether the attendee is the host of the meeting

namestring

Name of the attendee

typestring

Type of the attendee. Can be either user or guest.

audio_recording_urlstring

URL of the audio recording of the meeting

4 supported
Avoma
supported
Fireflies.ai
supported
Gong
supported
Wingman
supported
calender_eventstring

The unique identifier of the meeting in Google or Outlook Calendar

2 supported
Fireflies.ai
supported
Gong
supported
created_atstring · date-time

Creation time of the meeting

4 supported
Avoma
supported
Chorus
supported
Fireflies.ai
supported
Wingman
supported
durationinteger

Duration of the meeting in seconds

5 supported
Avoma
supported
Chorus
supported
Fireflies.ai
supported
Gong
supported
Wingman
supported
end_timestring · date-time

End time of the meeting in ISO 8601 format

2 supported
Avoma
supported
Gong
supported
meeting_urlstring

URL of the meeting

1 supported
Gong
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_timestring · date-time

Start time of the meeting in ISO 8601 format

3 supported
Avoma
supported
Gong
supported
Wingman
supported
statusstring

Status of the meeting

3 supported
Avoma
supported
Gong
supported
Wingman
supported
titlestring

Title of the meeting

5 supported
Avoma
supported
Chorus
supported
Fireflies.ai
supported
Gong
supported
Wingman
supported
topicsstring[]

List of topics discussed in the meeting

2 supported
Fireflies.ai
supported
Wingman
supported
transcriptobject[]

List of sentences in the transcript of the meeting

3 supported
Avoma
supported
Fireflies.ai
supported
Wingman
supported
7 properties
endnumber

The end of the sentence in the number of seconds from the start of the meeting

raw_textstring

The raw text of the sentence

speaker_idstring

The unique identifier for a speaker

speaker_namestring

The speaker of the sentence

speaker_typestring

The type of the speaker. Can be either user or guest.

startnumber

The start of the sentence in the number of seconds from the start of the meeting

textstring

The text of the sentence

typestring

Type of the meeting

5 supported
Avoma
supported
Chorus
supported
Fireflies.ai
supported
Gong
supported
Wingman
supported
updated_atstring · date-time

Last updated time of the meeting

2 supported
Avoma
supported
Wingman
supported
video_recording_urlstring

URL of the video recording of the meeting

3 supported
Fireflies.ai
supported
Gong
supported
Wingman
supported
curl -X GET 'https://api.truto.one/unified/conversational-intelligence/meetings?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/conversational-intelligence/meetings?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/conversational-intelligence/meetings"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'conversational-intelligence',
  'meetings',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "conversational-intelligence",
        "meetings",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())